Subject: Re: [RFC PATCH v2 02/11] netdev: implement netlink api to bind dma-buf to netdevice

From: Jakub Kicinski <[email-masked]>
Date: Mon, 21 Aug 2023 14:16:59 -0700

On Sat, 19 Aug 2023 10:18:57 -0400 Willem de Bruijn wrote:
> Right. Many devices only allow bringing all queues down at the same time.
> 
> Once a descriptor is posted and the ring head is written, there is no
> way to retract that. Since waiting for the device to catch up is not
> acceptable, the only option is to bring down the queue, right? Which
> will imply bringing down the entire device on many devices. Not ideal,
> but acceptable short term, imho.
> 
> That may be an incentive for vendors to support per-queue
> start/stop/alloc/free. Maybe the ones that support RDMA already do?

Are you talking about HW devices, or virt? I thought most HW made 
in the last 10 years should be able to take down individual queues :o